Bug 463374 - [LTC 6.0 FEAT] 201491:Enhance LSI driver mptsas with EEH native recovery [NEEDINFO]
[LTC 6.0 FEAT] 201491:Enhance LSI driver mptsas with EEH native recovery
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Tom Coughlan
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-22 23:30 EDT by IBM Bug Proxy
Modified: 2009-09-23 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 15:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
coughlan: needinfo? (bugproxy)


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 23:30:31 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:30 EDT
1. Feature Overview:
Feature Id:	[201491]
a. Name of Feature:	Enhance LSI driver mptsas with EEH native recovery
b. Feature Description
The mptsas driver needs to support the EEH (Enhanced Error Handler) native recovery by following the
EEH infrastructure in Linux kernel.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Not Started
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.27

3. Business Case
The EEH native recovery is a key feature for all of the IO devices for Power platform customers. The
LSI SAS card on Blade currently is identified as a hole on this.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Michael Anderson, mike.anderson@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 12:37:42 EDT
Putting in NEEDINFO pending upstream code & acceptance.
Comment 2 IBM Bug Proxy 2009-03-12 23:10:26 EDT
I have not completed testing on the EEH patch for 48192 and addressing some issues with the patch. I will not make the deadline to mainline.

I will give an update when testing and issues are resolved.
Comment 3 Tom Coughlan 2009-09-23 15:14:01 EDT
Is this in 2.6.31? 

If not, then get the patches upstream, and re-open this BZ providing a backport to RHEL 6 kernel 2.6.31.

Note You need to log in before you can comment on or make changes to this bug.